<?php

namespace App\Domain\Manga\Infrastructure\CommandHandler;

use App\Domain\Manga\Application\Command\RefreshMangaChapters;
use App\Domain\Manga\Application\CommandHandler\RefreshMangaChaptersHandler;
use Symfony\Component\Messenger\Attribute\AsMessageHandler;

#[AsMessageHandler]
readonly class SymfonyRefreshMangaChaptersHandler
{
    public function __construct(
        private RefreshMangaChaptersHandler $handler
    ) {
    }

    public function __invoke(RefreshMangaChapters $command): void
    {
        $this->handler->handle($command);
    }
}
